Name:           addlocale
Version:        4.5
Release:        %mkrel 6
License:        GNU General Public License (GPL)
Url:            http://www.pclinuxos.com/forum/index.php/topic,55229.0.html
Source0:         %{name}-%{version}.tar.xz
Source1:        addlocale.png
Summary:        Script to change user locale to their language
Summary(de):	Skript zum Hinzufügen einer neuen Systemsprache
Summary(fr):	Script de changement d'utilisateur à leur langue locale
Group:          System/Internationalization
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:	    zenity bash xz wget curl apt apt-common gksu rootcerts
Obsoletes:      addlocale < %version
Requires:       libnotify
Requires:   	desktop-common-data >= 2010-11

%description
A user-friendly and verbose bash-script (addlocale) should
automatize adding and applying a new language locale to the system.
You now have an easy one-step solution to transform an English PCLOS
Desktop and its applications in widely spoken languages like Arabic, 
French, Chinese, Spanish, German, and even exotic ones like Zulu or Welsh. 

%description -l de
Das benutzerfreundliche bash-Skript (addlocale) erlaubt das 
automatische Hinzufügen einer neuen Sprache zum System. Damit können Sie 
den englischen PCLinuxOS Desktop und seine Anwendungen in weit verbreiteten 
Sprachen wie Arabisch, Französisch, Chinesisch, Spanisch, Deutsch, und sogar
Zulu oder Walisisch darstellen.

%description -l fr
A user-friendly et verbose-script bash (addlocale) devrait
automatiser l'ajout et l'application d'une nouvelle langue locale pour le système.
Vous avez maintenant une seule étape facile solution pour transformer un anglais PCLOS
Ordinateurs de bureau et de ses applications dans les langues de grande diffusion comme l'arabe,
Français, chinois, espagnol, allemand, et même exotiques, comme le zoulou ou gallois.

%description -l sr
Корисника и детаљни-басх-писмо (аддлоцале) треба да
Аутоматизирати додајући и примена новог језика лоцале систем.
Сада сте једноставно један корак решење за трансформацију енглески ПЦЛОС
Десктоп и њене примене у широкој употреби језика као што су арапски,
Француски, кинески, шпански, немачки, па чак и оних попут егзотичне зулу или велшки. 

%description -l pl
Przyjazne dla użytkownika oraz tryb bash skrypt (addlocale) powinny
zautomatyzować dodawanie i stosowania nowych ustawień języka w systemie.
Teraz masz łatwe rozwiązanie krok do przekształcenia angielski PCLOS
Pulpit i jego zastosowania w rozpowszechnionych językach takich jak arabski,
Francuski, chiński, hiszpański, niemiecki, a nawet egzotyczne jak Zulu i walijski. 

%description -l it
A user-friendly e verbose bash-script (addlocale) dovrebbe
aggiunta automatizzare e applicando un locale nuovo linguaggio per il sistema.
Avete ora un facile soluzione passo per trasformare un PCLOS inglese
Desktop e le sue applicazioni nelle lingue più diffuse come l'arabo,
Francese, cinese, spagnolo, tedesco, e anche quelle esotiche come Zulu o gallesi. 

%description -l es
Un usuario-bash amistosa y prolija secuencia de comandos (addlocale) debería
automatizar la adición y la aplicación de un local nuevo lenguaje para el sistema.
Ahora tiene una fácil solución de paso para transformar un PCLOS Inglés
De escritorio y sus aplicaciones en lenguas de gran difusión como el árabe,
Francés, chino, español, alemán, e incluso los exóticos como Zulu o el galés. 

%description -l nl
Een gebruiksvriendelijke en verbose bash-script (addlocale) moet
automatiseren toevoegen en het toepassen van een nieuwe taal locale aan het systeem.
U hebt nu een eenvoudige een-staps oplossing voor een Engels PCLOS transformeren
Desktop en haar toepassingen in de gesproken talen als Arabisch,
Frans, Chinees, Spaans, Duits en zelfs exotische zoals Zulu of Welsh.

%prep

%setup -q

%build

%install
rm -rf %buildroot


mkdir -p %{buildroot}/%{_bindir}
install -m 755 %{name} %{buildroot}/%{_bindir}/%{name}

install -Dm 0644 %SOURCE1 %{buildroot}/%{_datadir}/pixmaps/addlocale.png


mkdir -p $RPM_BUILD_ROOT/%_datadir/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=1.0
Type=Application
Name=Configure your Language
Name[ar]=مدير التعريب
Name[bg]=локализация мениджър
Name[ca]=Gestor de llengua
Name[cs]=lokalizace manažer
Name[da]=lokalisering manager
Name[de]=Lokalisationsmanager
Name[el]=Διαχειριστής Τοπικοποίησης
Name[es]=Manager de localización
Name[fi]=lokalisoinnin johtaja
Name[fr]=Gestionnaire de localisation
Name[it]=Manager di localizzazione
Name[ja]=ローカリゼーションマネージャー
Name[nl]=Lokalisatiebeheerder
Name[pl]=Instalator języków AddLocale
Name[pt]=Manager do localização
Name[ru]=локализации менеджер
Name[sr]=Менаџер Локализације
Name[sv]=Lokaliseringsverktyg
Name[tr]=yerelleştirme yöneticisi
Name[uk]=локалізації менеджер
Name[zh]=本地化经理
Exec=%{name}
Icon=addlocale
Comment=Add a new language to your system
Comment[ar]=إضافة لغة جديدة إلى النظام الخاص بك
Comment[bg]=добавяне на нов език, за да си система
Comment[ca]=Afegir un nou idioma al seu sistema
Comment[cs]=přidat nový jazyk do vašeho systému
Comment[da]=Tilføj et nyt sprog til dit system
Comment[de]=Eine neue Systemsprache hinzufügen
Comment[el]=προσθέσετε μια νέα γλώσσα στο σύστημά σας
Comment[es]=Añadir un nuevo idioma al sistema
Comment[fi]=Lisää uuden kielen järjestelmään
Comment[fr]=Ajouter une nouvelle langue à votre système
Comment[it]=Aggiorna una nuova lingua al sistema
Comment[ja]=お使いのシステムに新しい言語を追加します。
Comment[nl]=Een nieuwe taalconfiguratie toevoegen aan uw systeem
Comment[pl]=dodanie nowego języka do systemu
Comment[pt]=Adicionar novo idioma ao sistema
Comment[ru]=добавить новый язык в вашей системе
Comment[sr]=Преведите систем на нови језик
Comment[sv]=Byt systemspråk
Comment[tr]=Sisteminize yeni bir dil eklemek
Comment[uk]=додати нову мову у вашій системі
Comment[zh]=添加一个新的语言到你的系统
Categories=GTK;X-MandrivaLinux-System-Configuration-Other;
Terminal=false
Encoding=UTF-8
StartupNotify=true
EOF


# Languages
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale/de/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale/el/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale/es/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale/fr/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale/it/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale/nl/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale/pl/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale/pt/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale/ru/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale/sr/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale/bg/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale/cs/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale/ca/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale/uk/LC_MESSAGES

install -m 0644 addlocale[de].mo $RPM_BUILD_ROOT/%_datadir/locale/de/LC_MESSAGES/addlocale.mo
install -m 0644 addlocale[el].mo $RPM_BUILD_ROOT/%_datadir/locale/el/LC_MESSAGES/addlocale.mo
install -m 0644 addlocale[es].mo $RPM_BUILD_ROOT/%_datadir/locale/es/LC_MESSAGES/addlocale.mo
install -m 0644 addlocale[fr].mo $RPM_BUILD_ROOT/%_datadir/locale/fr/LC_MESSAGES/addlocale.mo
install -m 0644 addlocale[it].mo $RPM_BUILD_ROOT/%_datadir/locale/it/LC_MESSAGES/addlocale.mo
install -m 0644 addlocale[nl].mo $RPM_BUILD_ROOT/%_datadir/locale/nl/LC_MESSAGES/addlocale.mo
install -m 0644 addlocale[pl].mo $RPM_BUILD_ROOT/%_datadir/locale/pl/LC_MESSAGES/addlocale.mo
install -m 0644 addlocale[pt].mo $RPM_BUILD_ROOT/%_datadir/locale/pt/LC_MESSAGES/addlocale.mo
install -m 0644 addlocale[ru].mo $RPM_BUILD_ROOT/%_datadir/locale/ru/LC_MESSAGES/addlocale.mo
install -m 0644 addlocale[sr].mo $RPM_BUILD_ROOT/%_datadir/locale/sr/LC_MESSAGES/addlocale.mo
install -m 0644 addlocale[bg].mo $RPM_BUILD_ROOT/%_datadir/locale/bg/LC_MESSAGES/addlocale.mo
install -m 0644 addlocale[cs].mo $RPM_BUILD_ROOT/%_datadir/locale/cs/LC_MESSAGES/addlocale.mo
install -m 0644 addlocale[ca].mo $RPM_BUILD_ROOT/%_datadir/locale/ca/LC_MESSAGES/addlocale.mo
install -m 0644 addlocale[uk].mo $RPM_BUILD_ROOT/%_datadir/locale/uk/LC_MESSAGES/addlocale.mo


%files 
%defattr(-, root, root)
%{_bindir}/%{name}
%_datadir/applications/%{name}.desktop
%_datadir/locale/*/LC_MESSAGES/addlocale.mo
%{_datadir}/pixmaps/addlocale.png

%changelog
* Mon Jul 24 2023 adrianomorselli <dev@ufficiozero.org> 4.5-6ufficiozero2023
- rebuilded for UZL

* Fri Jul 21 2023 tex - 4.5-5pclos2023
- do not run in live mode

* Wed Jul 19 2023 tex - 4.5-4pclos2023
- Change menu name and location

* Sun Sep 27 2020 pp 4.5-3pclos2020
- enforced reinstall of packages

* Sat Sep 19 2020 pp 4.5-2pclos2020
- fixed setup for KDE

* Wed Mar 25 2020 pp 4.5-1pclos2020
- improve Chinese localisation
- removed AL version test
- clean up code

* Wed Feb 19 2020 pp 4.4-11pclos2020
- reverted to login shell
- removed kdesu

* Wed Feb 12 2020 pp 4.4-10pclos2020
- fixed cmd-line output

* Sat Oct 12 2019 tex - 4.4-9pclos2019
- replace icon
- allow local repo

* Thu Sep 26 2019 tex - 4.4-8pclos2019
- too many duplicate menu entries folks complaining
- put it in Software Center only

* Tue Jul 18 2017 pp <pp> 4.4-7pclos2017
- disable trannslation archive verification (problem with redirection/proxy)

* Tue Jul 18 2017 pp <pp> 4.4-6pclos2017
- changed noarch to x86
- removed support for kde4, fullmonty, and 32bit

* Sun May 04 2017 pp <pp> 4.4-5pclos2017
- fixed copying of translations for Catalan

* Fri Apr 28 2017 pp <pp> 4.4-4pclos2017
- added transaltions for Catalan

* Tue Apr 19 2016 woodhead <pp> 4.4-3pclos2016
- added things to have languages show up in systemsettings5

* Fri Apr 15 2016 woodhead <pp> 4.4-2pclos2016
- added env-vars for kde5

* Wed Apr 13 2016 woodhead <pp> 4.4-1pclos2016
- updated for kde5
- updated translations

* Fri Mar 25 2016 woodhead <pp> 4.3-10pclos2016
- updated for new docbook-dtds package

* Fri Jul 31 2015 pp <pp> 4.3-9pclos2015
- updated to new path of addlocale folder

* Wed Mar 04 2015 pinoc <vogtpet at gmail.com> 4.3-8pclos2015
- changed startup script to prefer kdesu to work for kde systemsettings

* Sun Feb 22 2015 pinoc <vogtpet at gmail.com> 4.3-7pclos2015
- fixed gimp-help selection
- added posttrans

* Mon Dec 15 2014 pinoc <vogtpet at gmail.com> 4.3-6pclos2014
- fixed for lxterminal

* Wed Dec 10 2014 pinoc <vogtpet at gmail.com> 4.3-5pclos2014
- added Software Center menu entry 

* Mon Dec 01 2014 pinoc <vogtpet at gmail.com> 4.3-4pclos2014
- added locales-en to musthave set
- updated locales for new FF, calligra

* Fri Sep 12 2014 pinoc <vogtpet at gmail.com> 4.3-3pclos2014
- fixed zenity window size display
- improved proper root-login detection
- updated all translations

* Thu Sep 11 2014 Pinoc <vogtpet at gmail.com> 4.3-2pclos2014
- fixed crash on localised system

* Sun Mar 30 2014 Pinoc <vogtpet at gmail.com> 4.3-1pclos2014
- updated for language support changes in Synaptic 

* Sun Dec 01 2013 Pinoc <vogtpet at gmail.com> 4.2-17pclos2013
- removed skype-i18n

* Thu Oct 10 2013 Pinoc <vogtpet at gmail.com> 4.2-16pclos2013
- updated language support for avidemux, calligra, tesseract

* Mon Sep 02 2013 Pinoc <vogtpet at gmail.com> 4.2-15pclos2013
- fixed reset to en_US for file places in KDE-apps

* Thu Aug 08 2013 Pinoc <vogtpet at gmail.com> 4.2-14pclos2013
- removed calligra lang support for en_GB

* Sun Aug 04 2013 Pinoc <vogtpet at gmail.com> 4.2-13pclos2013
- added icu to greek

* Mon Jul 08 2013 Pinoc <vogtpet at gmail.com> 4.2-12pclos2013
- fixed path to su
- removed hsb language support

* Fri Jul 05 2013 Pinoc <vogtpet at gmail.com> 4.2-11pclos2013
- changed to use new kde-l10n packages

* Thu May 16 2013 Pinoc <vogtpet at gmail.com> 4.2-10pclos2013
- changed to new TB naming
- read about addlocale now background progress

* Mon Jan 28 2013 Pinoc <vogtpet at gmail.com> 4.2-9pclos2013
- fixed repo-check
- amended calligra lang support

* Mon Dec 24 2012 Pinoc <vogtpet at gmail.com> 4.2-8pclos2012
- fixed al-version test

* Sat Dec 22 2012 Pinoc <vogtpet at gmail.com> 4.2-7pclos2012
- replaced ibiblio links

* Thu Dec 06 2012 Pinoc <vogtpet at gmail.com> 4.2-6pclos2012
- fixed repo setup in script

* Wed Dec 05 2012 Pinoc <vogtpet at gmail.com> 4.2-5pclos2012
- updated repo setup info for 32/64
- updated all translations

* Thu Nov 22 2012 Pinoc <vogtpet at gmail.com> 4.2-4pclos2012
- user-detection independent of shell environment (thanks xr200)

* Thu Aug 02 2012 Pinoc <vogtpet at gmail.com> 4.2-3pclos2012
- fixed repo-check on 64bit

* Wed Jun 27 2012 Pinoc <vogtpet at gmail.com> 4.2-2pclos2012
- updated to work with new repo setup for kde4.8.3

* Tue Jun 12 2012 Pinoc <vogtpet at gmail.com> 4.2-1pclos2012
- fixed Thai setup
- updated to work with KDE 4.8.3
- new language support: Uyghur and Sinhala
- added calligra support

* Wed Apr 11 2012 Pinoc <vogtpet at gmail.com> 4.1-6pclos2012
- fixed system uptodate test for non en_US locales
- added rootcerts dependency
- added test and setup for openssl certificates
- added test to remove xsuaddlocale for incomplete run
- added option to skip system uptodate test
- fixed options to be applied properly
- browser now launches with user priviledges 

* Fri Mar 23 2012 Pinoc <vogtpet at gmail.com> 4.1-5pclos2012
- fixed setup

* Wed Mar 21 2012 Pinoc <vogtpet at gmail.com> 4.1-4pclos2012
- improved browser detection
- removed kdesu and apt-upgrade notice
- added trigger translation dialog for all users
- switched from ibiblio to dutch server

